WinCrypt.CERT_STRONG_SIGN_PARA (JNA API)

com.sun.jna.platform.win32

## Class WinCrypt.CERT_STRONG_SIGN_PARA

- java.lang.Object
- - com.sun.jna.Structure
  - - com.sun.jna.platform.win32.WinCrypt.CERT_STRONG_SIGN_PARA

- Enclosing interface:
    WinCrypt

      @Structure.FieldOrder(value={"cbSize","dwInfoChoice","DUMMYUNIONNAME"})
      public static class WinCrypt.CERT_STRONG_SIGN_PARA
      extends Structure

  Contains parameters used to check for strong signatures on certificates, certificate revocation lists (CRLs), online certificate status protocol (OCSP) responses, and PKCS #7 messages.
  See Also:
    MSDN

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `WinCrypt.CERT_STRONG_SIGN_PARA.ByReference`
    `class` | `WinCrypt.CERT_STRONG_SIGN_PARA.DUMMYUNION`

    - ### Nested classes/interfaces inherited from class com.sun.jna.Structure

      `Structure.ByValue, Structure.FieldOrder, Structure.StructField`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `int` | `cbSize`
    `WinCrypt.CERT_STRONG_SIGN_PARA.DUMMYUNION` | `DUMMYUNIONNAME`
    `int` | `dwInfoChoice`

    - ### Fields inherited from class com.sun.jna.Structure

      `ALIGN_DEFAULT, ALIGN_GNUC, ALIGN_MSVC, ALIGN_NONE, CALCULATE_SIZE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CERT_STRONG_SIGN_PARA()`

  - ### Method Summary

    - ### Methods inherited from class com.sun.jna.Structure

      `allocateMemory, allocateMemory, autoAllocate, autoRead, autoRead, autoWrite, autoWrite, cacheTypeInfo, calculateSize, clear, createFieldsOrder, createFieldsOrder, createFieldsOrder, createFieldsOrder, dataEquals, dataEquals, ensureAllocated, equals, fieldOffset, getAutoRead, getAutoWrite, getFieldList, getFieldOrder, getFields, getNativeAlignment, getNativeSize, getNativeSize, getPointer, getStringEncoding, getStructAlignment, hashCode, newInstance, newInstance, read, readField, readField, setAlignType, setAutoRead, setAutoSynch, setAutoWrite, setStringEncoding, size, sortFields, toArray, toArray, toString, toString, useMemory, useMemory, write, writeField, writeField, writeField`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### cbSize

          public int cbSize

    - #### dwInfoChoice

          public int dwInfoChoice

    - #### DUMMYUNIONNAME

          public WinCrypt.CERT_STRONG_SIGN_PARA.DUMMYUNION DUMMYUNIONNAME

  - ### Constructor Detail

    - #### CERT_STRONG_SIGN_PARA

          public CERT_STRONG_SIGN_PARA()

Copyright © 2007-2018 Timothy Wall. All Rights Reserved.